//---------------------------------------------------------------------------
#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include <jpeg.hpp>
//---------------------------------------------------------------------------
void OpenPort(void);                    // открытие порта
void ClosePort(void);                   // закрытие порта
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TMainMenu *MainMenu1;
        TMenuItem *File1;
        TMenuItem *About1;
        TMenuItem *SaveLogAs1;
        TMenuItem *Exit1;
        TMenuItem *AboutProgram1;
        TPanel *Panel1;
        TGroupBox *GroupBox1;
        TButton *Button1;
        TButton *Button2;
        TComboBox *ComboBox1;
        TGroupBox *GroupBox2;
        TRichEdit *RichEdit1;
        TSaveDialog *SaveDialog1;
        TButton *Button3;
        TButton *Button4;
        TPageControl *PageControl1;
        TTabSheet *TabSheet2;
        TComboBox *ComboBox3;
        TComboBox *ComboBox5;
        TComboBox *ComboBox7;
        TComboBox *ComboBox9;
        TComboBox *ComboBox11;
        TComboBox *ComboBox13;
        TComboBox *ComboBox15;
        TComboBox *ComboBox17;
        TComboBox *ComboBox19;
        TComboBox *ComboBox21;
        TComboBox *ComboBox23;
        TComboBox *ComboBox25;
        TComboBox *ComboBox27;
        TComboBox *ComboBox29;
        TComboBox *ComboBox31;
        TComboBox *ComboBox33;
        TComboBox *ComboBox35;
        TCheckBox *CheckBox1;
        TCheckBox *CheckBox2;
        TCheckBox *CheckBox3;
        TCheckBox *CheckBox4;
        TCheckBox *CheckBox5;
        TCheckBox *CheckBox6;
        TCheckBox *CheckBox7;
        TCheckBox *CheckBox8;
        TCheckBox *CheckBox9;
        TCheckBox *CheckBox10;
        TCheckBox *CheckBox11;
        TCheckBox *CheckBox12;
        TCheckBox *CheckBox13;
        TCheckBox *CheckBox14;
        TCheckBox *CheckBox15;
        TCheckBox *CheckBox16;
        TCheckBox *CheckBox17;
        TCheckBox *CheckBox18;
        TComboBox *ComboBox36;
        TComboBox *ComboBox37;
        TComboBox *ComboBox38;
        TComboBox *ComboBox39;
        TComboBox *ComboBox40;
        TComboBox *ComboBox41;
        TComboBox *ComboBox42;
        TComboBox *ComboBox43;
        TComboBox *ComboBox44;
        TComboBox *ComboBox45;
        TComboBox *ComboBox46;
        TComboBox *ComboBox47;
        TComboBox *ComboBox48;
        TComboBox *ComboBox49;
        TComboBox *ComboBox50;
        TComboBox *ComboBox51;
        TComboBox *ComboBox52;
        TLabel *Label3;
        TLabel *Label5;
        TLabel *Label6;
        TLabel *Label7;
        TLabel *Label8;
        TLabel *Label9;
        TLabel *Label10;
        TLabel *Label11;
        TLabel *Label12;
        TLabel *Label13;
        TLabel *Label14;
        TLabel *Label15;
        TLabel *Label16;
        TLabel *Label17;
        TLabel *Label18;
        TLabel *Label19;
        TLabel *Label20;
        TLabel *Label21;
        TLabel *Label22;
        TLabel *Label23;
        TLabel *Label24;
        TLabel *Label25;
        TLabel *Label26;
        TLabel *Label27;
        TLabel *Label28;
        TLabel *Label29;
        TLabel *Label30;
        TLabel *Label1;
        TCheckBox *CheckBox19;
        TCheckBox *CheckBox20;
        TCheckBox *CheckBox21;
        TCheckBox *CheckBox22;
        TCheckBox *CheckBox23;
        TCheckBox *CheckBox24;
        TCheckBox *CheckBox25;
        TCheckBox *CheckBox26;
        TLabel *Label2;
        TCheckBox *CheckBox27;
        TCheckBox *CheckBox28;
        TCheckBox *CheckBox29;
        TCheckBox *CheckBox30;
        TCheckBox *CheckBox31;
        TCheckBox *CheckBox32;
        TCheckBox *CheckBox33;
        TCheckBox *CheckBox34;
        TCheckBox *CheckBox35;
        TCheckBox *CheckBox36;
        TTimer *Timer1;
        void __fastcall Exit1Click(TObject *Sender);
        void __fastcall SaveLogAs1Click(TObject *Sender);
        void __fastcall AboutProgram1Click(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall Button3Click(TObject *Sender);
        void __fastcall Button4Click(TObject *Sender);
        void __fastcall CheckBox18Click(TObject *Sender);
        void __fastcall CheckBox1Click(TObject *Sender);
        void __fastcall CheckBox2Click(TObject *Sender);
        void __fastcall CheckBox3Click(TObject *Sender);
        void __fastcall CheckBox4Click(TObject *Sender);
        void __fastcall CheckBox5Click(TObject *Sender);
        void __fastcall CheckBox6Click(TObject *Sender);
        void __fastcall CheckBox7Click(TObject *Sender);
        void __fastcall CheckBox8Click(TObject *Sender);
        void __fastcall CheckBox9Click(TObject *Sender);
        void __fastcall CheckBox10Click(TObject *Sender);
        void __fastcall CheckBox11Click(TObject *Sender);
        void __fastcall CheckBox12Click(TObject *Sender);
        void __fastcall CheckBox13Click(TObject *Sender);
        void __fastcall CheckBox14Click(TObject *Sender);
        void __fastcall CheckBox15Click(TObject *Sender);
        void __fastcall CheckBox16Click(TObject *Sender);
        void __fastcall CheckBox17Click(TObject *Sender);
        void __fastcall ComboBox3Change(TObject *Sender);
        void __fastcall ComboBox5Change(TObject *Sender);
        void __fastcall ComboBox7Change(TObject *Sender);
        void __fastcall ComboBox9Change(TObject *Sender);
        void __fastcall ComboBox11Change(TObject *Sender);
        void __fastcall ComboBox13Change(TObject *Sender);
        void __fastcall ComboBox15Change(TObject *Sender);
        void __fastcall ComboBox17Change(TObject *Sender);
        void __fastcall ComboBox19Change(TObject *Sender);
        void __fastcall ComboBox21Change(TObject *Sender);
        void __fastcall ComboBox23Change(TObject *Sender);
        void __fastcall ComboBox25Change(TObject *Sender);
        void __fastcall ComboBox27Change(TObject *Sender);
        void __fastcall ComboBox29Change(TObject *Sender);
        void __fastcall ComboBox31Change(TObject *Sender);
        void __fastcall ComboBox33Change(TObject *Sender);
        void __fastcall ComboBox35Change(TObject *Sender);
        void __fastcall ComboBox36Change(TObject *Sender);
        void __fastcall ComboBox37Change(TObject *Sender);
        void __fastcall ComboBox38Change(TObject *Sender);
        void __fastcall ComboBox39Change(TObject *Sender);
        void __fastcall ComboBox40Change(TObject *Sender);
        void __fastcall ComboBox41Change(TObject *Sender);
        void __fastcall ComboBox42Change(TObject *Sender);
        void __fastcall ComboBox43Change(TObject *Sender);
        void __fastcall ComboBox44Change(TObject *Sender);
        void __fastcall ComboBox45Change(TObject *Sender);
        void __fastcall ComboBox46Change(TObject *Sender);
        void __fastcall ComboBox47Change(TObject *Sender);
        void __fastcall ComboBox48Change(TObject *Sender);
        void __fastcall ComboBox49Change(TObject *Sender);
        void __fastcall ComboBox50Change(TObject *Sender);
        void __fastcall ComboBox51Change(TObject *Sender);
        void __fastcall ComboBox52Change(TObject *Sender);
        void __fastcall CheckBox36Click(TObject *Sender);
        void __fastcall Timer1Timer(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
